in reply to Text::Summarizer fails on Windows 10

There seem to be some errors in the distribution, for example Build.PL contains configure_requires => { 'Module::Build' => 2.01 }, which is incorrect and the source of the second error, and the archive contains some filenames that are invalid on Windows; that's the source of the first error. Though I haven't tested this, you could attempt a manual install, by downloading the distribtion from Text::Summarizer, using an unpacking tool of your choice and skipping or renaming the offending files in the "Corpus" folder, and then using the manual "perl Makefile.PL; make; make test; make install" procedure.

Update: Tested on Strawberry Perl 5.32. Unpacked the module's .tar.gz with 7-Zip, ran cpanm Algorithm::CurveFit Lingua::Stem List::AllUtils Moo Types::Standard Text::Markup, perl Makefile.PL, gmake, gmake test (didn't work), and gmake install, and at least the module appears to have been installed ok. Whether the module is working correctly is something you'll have to test yourself...